.block-product-buy-button-group__quantity-selector {
  display: inline-flex;
  align-items: center;
  gap: 12px;
  min-width: 0;
}

.block-product-buy-button-group__quantity-selector-label {
  flex-shrink: 0;
  color: rgb(var(--color-text));
  font-size: var(--quantity-selector-label-font-size, 18px);
  line-height: 1.2;
}

.block-product-buy-button-group .block-product-buy-button-wrapper {
  flex-grow: 1;
}
.block-product-buy-button-group .payment-button-wrapper {
  width: 100%;
}
.block-product-buy-button-group .payment-button-wrapper.is-disabled {
  display: none;
}

@media (max-width: 959px) {
  .block-product-buy-button-group__quantity-selector-label {
    font-size: var(--quantity-selector-label-font-size-mobile, 18px);
  }

  .is-sticky > .block-product-buy-button-group {
    position: fixed;
    inset-block-end: var(--fixed-bottom, 0);
    inset-inline-start: 0;
    z-index: var(--z-index-sticky);
    width: 100%;
    padding: 20px var(--page-padding);
    background-color: rgba(var(--color-background));
    border-block-start: 1px solid rgba(var(--color-text), 0.05);
    box-shadow: 0 0 40px rgb(0 0 0 / 8%);
    animation: animation-slide-in-bottom 0.3s;
  }
}
